Вопрос по java, android, maven – Андроид с мавеном? Apk неизвестно

11

Не удается получить Android для работы с Maven. В чем может быть проблема (генерируется из архетипа быстрого запуска maven):

<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>asd</groupId>
    <artifactId>asd</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <packaging>apk</packaging>
    <name>asd</name>

    <properties>
        <platform.version>4.0.3</platform.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.google.android</groupId>
            <artifactId>android</artifactId>
            <version>${platform.version}</version>
            <scope>provided</scope>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>com.jayway.maven.plugins.android.generation2</groupId>
                <artifactId>android-maven-plugin</artifactId>
                <version>3.2.0</version>
                <configuration>
                    <androidManifestFile>${project.basedir}/AndroidManifest.xml</androidManifestFile>
                    <assetsDirectory>${project.basedir}/assets</assetsDirectory>
                    <resourceDirectory>${project.basedir}/res</resourceDirectory>
                    <nativeLibrariesDirectory>${project.basedir}/src/main/native</nativeLibrariesDirectory>
                    <sdk>
                        <platform>15</platform>
                    </sdk>
                    <emulator>
                        <avd>Android4</avd>
                    </emulator>
                    <undeployBeforeDeploy>true</undeployBeforeDeploy>
                </configuration>
                <extensions>true</extensions>
            </plugin>

            <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>2.3.2</version>
                <configuration>
                    <source>1.6</source>
                    <target>1.6</target>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>

Приводит к:

Project build error: Unknown packaging: apk

+

Project build error: Unresolveable build extension: Plugin 
com.jayway.maven.plugins.android.generation2:android-maven-plugin:3.2.0 or one of its 
dependencies could not be resolved: Failed to collect dependencies for 
com.jayway.maven.plugins.android.generation2:android-maven-plugin:jar:3.2.0 ()

Ваш Ответ

5   ответов
9

<build><pluginManagement> раздел конфигурации.

Перемещение это к<build><plugins> решил мою проблему.

Это сработало для меня при обновлении android-maven-plugin с 3.7.0 до 3.9.0-rc.2.
1

обычный & quot; Плагин Maven, который работает для проектов Java (и файлов .jar). Для Android вам нужен плагин Maven Android

Посмотрите на это

Ошибка в pom-файле в проекте Maven после импорта в Eclipse

2

В настоящее время я использую android-maven-plugin 3.1.1 для своего проекта и пробую его с 3.2.0. Похоже, у Maven возникли проблемы с загрузкой одного изнеобходимые зависимости emma-2.1.5320.jar из Maven Central Repository, однако, я усталmvn clean install несколько раз и, наконец, загрузите emma-2.1.5320.jar.

Попробуйте запуститьmvn clean install Несколько раз, если он все еще не работает, загрузите и установите его вручную, emma-2.1.5320.jar с исходным кодом и javadoc доступны наMaven Центральный репозиторий:

mvn install:install-file -Dfile=emma-2.1.5320.jar \
                     -Dsources=emma-2.1.5320-sources.jar \
                     -Djavadoc=emma-2.1.5320-javadoc.jar \
                     -DgroupId=emma \
                     -DartifactId=emma \
                     -Dversion=2.1.5320 \
                     -Dpackaging=jar

Вы должны быть в состоянии использовать android-maven-plugin 3.2.0 сейчас, надеюсь, это поможет.

3

<version>3.2.0</version> с<version>3.6.0</version> а затем очистите, а затем установите пакет. 3.6.0 - это последняя версия android-maven-plugin.

решено, я люблю тебя :) спасибо
5

extensions вариант вашегоandroid-maven-plugin конфигурации.

extensions

Whether to load Maven extensions (such as packaging and type handlers) from this plugin.

Пример конфигурации:

<plugin>
    <groupId>com.jayway.maven.plugins.android.generation2</groupId>
    <artifactId>android-maven-plugin</artifactId>
    <version>3.9.0-rc.2</version>
    <extensions>true</extensions>
    <configuration>
        <sdk>
            <platform>${android.platform}</platform>
        </sdk>
    </configuration>
</plugin>

Это решает проблему сapk неизвестная упаковка.

Похожие вопросы